> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific Dogecoin Dune token including metadata, supply, and holder statistics.

# Dunes Info



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/dunes/{dune}
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/dunes/{dune}:
    get:
      tags:
        - Dunes
      summary: Dunes Info
      description: >-
        Returns information about the specified Dune, including etching
        information,

        current supply and number of holders.
      operationId: info_by_dune
      parameters:
        - name: dune
          in: path
          description: >-
            Dune, specified either by the Dune ID (etching block number and
            transaction index) or name (spaced or un-spaced)
          required: true
          schema:
            type: string
          example: '2519999:31'
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedDuneInfo'
              example:
                data:
                  divisibility: 8
                  etching_cenotaph: false
                  etching_height: 5280961
                  etching_tx: >-
                    39a7cc8155a9e68692ee280e2dfb5a4007cfa5f83f2801abf10fb2682ee3fabc
                  id: '5280961:140'
                  max_supply: '1000000000000.00000000'
                  mints: 2
                  name: TESTTESTTEEST
                  spaced_name: TEST•TEST•TEEST
                  symbol: a
                  terms:
                    amount_per_mint: '1000.00000000'
                    end_height: '5290000'
                    end_offset: null
                    mint_txs_cap: '1000000000'
                    start_height: '5280850'
                    start_offset: null
                  unique_holders: 2
                last_updated:
                  block_hash: >-
                    304f07cefebe68472f2ceb02706f9a3b5a9e9ecb3534ec34923799c8ecd7f27d
                  block_height: 5303197
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedDuneInfo:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/DuneInfo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    DuneInfo:
      type: object
      required:
        - id
        - etching_cenotaph
        - etching_tx
        - etching_height
        - name
        - spaced_name
        - divisibility
        - terms
        - circulating_supply
        - mints
        - unique_holders
      properties:
        circulating_supply:
          type: string
        divisibility:
          type: integer
          format: int32
          description: If no divisibility was specified, then this equals 0
          minimum: 0
        etching_cenotaph:
          type: boolean
        etching_height:
          type: integer
          format: int64
          minimum: 0
        etching_tx:
          type: string
        id:
          type: string
        max_supply:
          type: string
          nullable: true
        mints:
          type: integer
          format: int64
          minimum: 0
        name:
          type: string
        spaced_name:
          type: string
        symbol:
          type: string
          nullable: true
        terms:
          $ref: '#/components/schemas/Terms'
        unique_holders:
          type: integer
          format: int64
          minimum: 0
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
    Terms:
      type: object
      properties:
        amount_per_mint:
          type: string
          nullable: true
        end_height:
          type: string
          nullable: true
        end_offset:
          type: string
          nullable: true
        mint_txs_cap:
          type: string
          nullable: true
        start_height:
          type: string
          nullable: true
        start_offset:
          type: string
          nullable: true
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````